#!/bin/bash
set -ex

HOME_DIR="/home/phablet"

echo 'Package: *' > /etc/apt/preferences.d/local-pin-900
echo 'Pin: origin ""' >> /etc/apt/preferences.d/local-pin-900
echo 'Pin-Priority: 600' >> /etc/apt/preferences.d/local-pin-900

sudo sh -c "echo \"deb file://$HOME_DIR/archive/work/output/ ./\" > /etc/apt/sources.list.d/00localrepo.list"
cd $HOME_DIR/archive/work/output
dpkg-scanpackages . /dev/null | gzip -9c > Packages.gz
cd -
apt-get update

package_list=""
for i in `ls $HOME_DIR/archive/work/output/*.deb`; do
  package_name=`dpkg -I $i | grep Package | cut -d " " -f 3`
  apt-cache policy $package_name
  package_list="$package_list $package_name"
done

apt-get clean
apt-get -y --force-yes --reinstall install $package_list
